Bug 149985 - Unable to activate IIIMF with Canna LE
Unable to activate IIIMF with Canna LE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Russell Coker
Ben Levenson
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
Reported: 2005-03-01 03:01 EST by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-25 05:43:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2005-03-01 03:01:55 EST
Description of problem:
When the application starts not using the default locale, the new
application with the new locale will not be able to utilised any LE. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Log in as normal user at GDM with CJKI locale
2.in g-t, LANG=ja_JP.UTF-8 gedit
3.alt-tab to gedit, CTRL-SPACE
Actual results:
Nothings happens

Expected results:
Should be able to input in ja using CannaLE

Additional info:
Comment 1 Jens Petersen 2005-03-01 22:13:31 EST
How about LANG=ko_KR.UTF-8 ?
Comment 2 Akira TAGOH 2005-03-01 23:21:47 EST
Are you sure that the iiim immodule is selected at the Input Method
menu which is popup by the right click?
Comment 3 Lawrence Lim 2005-03-01 23:54:30 EST
My apologies. Using CannaLE was a bad test case. I dont know why the
rest of the LE were not working properly as well yesterday.

This bug is CannaLE specific.

Test Case:
1) in g-t, LANG=ja_JP.UTF-8 gedit
2) Ctrl-SPACE in the gedit application
Comment 4 Akira TAGOH 2005-03-02 16:52:34 EST
Well, it happens on the enforcing mode for SELinux. it was why I didn't see this
problem on my box so that I disabled SELinux. the below is a log of avc message:

type=KERNEL msg=audit(1109284584.779:1262878): avc:  denied  { read } for 
pid=4204 exe=/usr/sbin/htt_server name=default.cbp dev=sda2 ino=233878
scontext=user_u:system_r:i18n_input_t tcontext=system_u:object_r:usr_t tclass=file
type=KERNEL msg=audit(1109284584.792:1262888): avc:  denied  { write } for 
pid=4204 exe=/usr/sbin/htt_server name=IROHA dev=sda2 ino=239841
scontext=user_u:system_r:i18n_input_t tcontext=user_u:object_r:var_run_t
type=KERNEL msg=audit(1109774881.210:4800416): avc:  denied  { connectto } for
pid=5645 exe=/usr/sbin/htt_server path=/var/run/.iroha_unix/IROHA
scontext=root:system_r:i18n_input_t tcontext=root:system_r:initrc_t
Comment 5 Daniel Walsh 2005-03-07 10:06:45 EST
If you disabled selinux, you need to relabel when you turn SELinux back on.  THe
problem here is that /var/run.iroha_unix is mislabled.  
You can restorecon -R -v /var to clean this up but there may be other mislabeled

Best to relabel by
touch /.autorelabel

If you still see avc messages I will clean them up.

Comment 6 Akira TAGOH 2005-03-07 14:18:52 EST
Err, I only disabled selinux, so it just worked for me and I didn't see any
problem like not working IIIMF due to selinux stuff. presumably people who
encountered this problem should installed it with enabling selinux. so I wonder
if there was mislabeled stuff. 

Note You need to log in before you can comment on or make changes to this bug.